	subroutine add_point(uv,nx,ny,nv,u,ix,iy,xflg)
c
c	adds one conventional point to matrix array
c
	common/check/nchk,xbad
	dimension uv(nx,ny,nv),u(1),xflg(nv)
	do iv=1,nv
	if(u(iv).ne.xflg(iv).and.uv(ix,iy,iv).eq.xbad
     -   .and. u(iv).lt.1e30)
     1	uv(ix,iy,iv)=u(iv)
	end do
	return
	end
